Công cụ tạo mã TOTP / HOTP cho mật khẩu dùng một lần an toàn
Công cụ tạo mã TOTP / HOTP tạo mật khẩu dùng một lần từ khóa bí mật dùng chung ở định dạng Base32. TOTP dùng thời gian hiện tại, còn HOTP dùng bộ đếm. Chọn 6, 7 hoặc 8 chữ số, SHA-1, SHA-256 hoặc SHA-512, và chu kỳ thời gian như 15, 30 hoặc 60 giây. Bộ đếm ngược trực tiếp cho biết mã TOTP hiện tại còn hiệu lực bao lâu.
Công cụ tạo mã TOTP / HOTP tạo các mật khẩu dùng một lần trong xác thực hai yếu tố. Công cụ hỗ trợ TOTP (RFC 6238) — tạo mã mới từ thời gian hiện tại và khóa bí mật dùng chung, và HOTP (RFC 4226) — tạo mã từ bộ đếm. Khóa bí mật dùng chung được mã hóa dưới dạng Base32 (RFC 4648), định dạng mà mã QR cho Google Authenticator mang theo.
Để tạo mã, công cụ dùng khóa bí mật dùng chung với các thiết lập đã chọn. Bạn có thể chọn 6, 7 hoặc 8 chữ số, SHA-1, SHA-256 hoặc SHA-512, và chu kỳ TOTP như 15, 30 hoặc 60 giây. Thanh đếm ngược trực tiếp cho biết mã dựa trên thời gian hiện tại còn hiệu lực bao lâu. Các phép tính dùng WebCrypto HMAC và chạy ngay trong trình duyệt của bạn.
TOTP và HOTP khác nhau ở giá trị dùng để tạo mỗi mã: TOTP dùng thời gian, còn HOTP dùng bộ đếm. Cả hai định dạng đều tạo mật khẩu dùng một lần từ khóa bí mật dùng chung, nhưng sự khác biệt quan trọng khi kiểm thử hoặc làm việc với một luồng xác thực hai yếu tố cụ thể. Hãy dùng công cụ tạo để chuẩn bị mã cho dữ liệu kiểm thử, kiểm tra quy trình authenticator hoặc so sánh hai tiêu chuẩn.
Công cụ tạo mã TOTP / HOTP chạy trong trình duyệt của bạn, và không có dữ liệu nào gửi tới máy chủ. Công cụ không phụ thuộc máy chủ nên sau khi trang tải xong vẫn tiếp tục hoạt động ngoại tuyến. Nhờ đó, công cụ hữu ích cho nhà phát triển và kỹ sư DevOps cần mã cho kiểm thử cục bộ, fixture, tài liệu hoặc tác vụ phát triển mà không gửi khóa bí mật dùng chung đi nơi khác.
Bước 1: Nhập khóa bí mật dùng chung ở định dạng Base32 — định dạng mã hóa dùng trong mã QR của authenticator.
Bước 2: Đặt các tùy chọn có sẵn: chọn 6, 7 hoặc 8 chữ số và SHA-1, SHA-256 hoặc SHA-512.
Bước 3: Chọn chu kỳ thời gian cho TOTP, ví dụ 15, 30 hoặc 60 giây.
Bước 4: Tạo mật khẩu dùng một lần và xem bộ đếm ngược trực tiếp để biết mã TOTP hiện tại còn hiệu lực bao lâu.
Bước 5: Sao chép các giá trị bạn cần cho bài kiểm thử, fixture hoặc quy trình khác.
Trường hợp sử dụng: Tạo giá trị TOTP hoặc HOTP cho kiểm thử xác thực, fixture và dữ liệu mẫu thay vì tự gõ mã ví dụ bằng tay.
Trường hợp sử dụng: Tạo cả loạt mã cùng lúc khi chuẩn bị dữ liệu kiểm thử, thay vì tự nghĩ giá trị thủ công.
Trường hợp sử dụng: Tạo mã theo đúng tiêu chuẩn và thiết lập đã chọn thay vì dựa vào phỏng đoán gõ trên bàn phím.
Trường hợp sử dụng: Kiểm tra cách khóa bí mật dùng chung ở định dạng Base32 tạo ra mật khẩu dùng một lần khi kiểm thử quy trình authenticator.
Trường hợp sử dụng: So sánh mã TOTP dựa trên thời gian với mã HOTP dựa trên bộ đếm khi phát triển hoặc gỡ lỗi xác thực hai yếu tố.
Trường hợp sử dụng: Chuẩn bị ví dụ mật khẩu dùng một lần cho tài liệu, demo hoặc công việc phát triển khác.